Bug 26875 - Allow printing of just one barcode
Summary: Allow printing of just one barcode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Victor Grousset/tuxayo
URL:
Keywords: release-notes-needed
Depends on: 7468
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-30 16:21 UTC by Andrew Fuerste-Henry
Modified: 2021-05-25 12:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This patch allows one to use the barcode range feature in the label creator tool to print a single barcode at a time.
Version(s) released in:
21.05.00,20.11.02,20.05.08


Attachments
Bug 26875: Allow printing of just one barcode in batch (1.45 KB, patch)
2020-10-30 16:27 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26875: Allow printing of just one barcode in batch (1.50 KB, patch)
2020-11-04 04:38 UTC, David Nind
Details | Diff | Splinter Review
Bug 26875: Allow printing of just one barcode in batch (1.55 KB, patch)
2020-12-28 17:35 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 26875: (follow-up) Fix error message ("greater or equal") (1.14 KB, patch)
2020-12-28 17:36 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-10-30 16:21:25 UTC
The new barcode batch printing tool from bug 7468 requires that one enter barcodes a "to" barcode higher than one's "from" barcode. That means you have to print at least 2 barcodes. It's be nice if the check was, instead, "to" must be greater than or equal to "from."
Comment 1 Andrew Fuerste-Henry 2020-10-30 16:27:43 UTC
Created attachment 112726 [details] [review]
Bug 26875: Allow printing of just one barcode in batch

To test:
1- go to the Print Barcode Range page
2- enter From=1 and To=1
3- confirm error "Must be greater than from value."
4- apply patch, restart, reload page
5- enter From=1, To=1
6- confirm no error
7- change From to 2, error reappears
Comment 2 David Nind 2020-11-04 04:38:48 UTC
Created attachment 112973 [details] [review]
Bug 26875: Allow printing of just one barcode in batch

To test:
1- go to the Print Barcode Range page
2- enter From=1 and To=1
3- confirm error "Must be greater than from value."
4- apply patch, restart, reload page
5- enter From=1, To=1
6- confirm no error
7- change From to 2, error reappears

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Victor Grousset/tuxayo 2020-12-28 17:35:25 UTC
Created attachment 114714 [details] [review]
Bug 26875: Allow printing of just one barcode in batch

To test:
1- go to the Print Barcode Range page
2- enter From=1 and To=1
3- confirm error "Must be greater than from value."
4- apply patch, restart, reload page
5- enter From=1, To=1
6- confirm no error
7- change From to 2, error reappears

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 4 Victor Grousset/tuxayo 2020-12-28 17:36:31 UTC
Created attachment 114715 [details] [review]
Bug 26875: (follow-up) Fix error message ("greater or equal")

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Jonathan Druart 2021-01-04 15:34:25 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-07 14:11:36 UTC
Very small enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.02
Comment 7 Andrew Fuerste-Henry 2021-01-11 22:29:28 UTC
Pushed to 20.05.x for 20.05.08
Comment 8 Victor Grousset/tuxayo 2021-01-21 19:57:01 UTC
Missing dependencies for 19.11.x, can't backport.